Subject: Ticket Assigned - Wrong item delivered
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sun, 06 Mar 2022 16:21:24 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Wrong item delivered Hi. We received the wrong item (playdoh wheels firetruck) in our click and collect order..it's similar but it's not what I had ordered.. order no. 9559573799 The one in the picture had 5 playdough cups and the firetruck looks bigger and more complex. The one we received is different, has only 2 playdough packs and a small truck(last picture).. Please have a look in the pictures.. Very very disappointed as this has never happened before..we asked the sales man at the store to open our package and let us have a look but he wasn't cooperative at all so we just brought it home. Unfortunately I can't return this anymore as my toddler was being extremely impatient and opened it the minute he saw it but I think it was important to report it. Thanks Aiman https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3972398